=== debian/changelog ===
qapt (1.0.3-0ubuntu2) maverick; urgency=low

  * Fix libqapt1.symbols. Since we aren't building with fvisibility=hidden,
    dpkg-gensymbols is picking up some libapt-pkg symbols as libqapt's. And
    since libapt-pkg's symbols are different between i386 and amd64, FTBFS
    occurs on amd64. I've set these symbols to !amd64, but this isn't really
    a problem since they aren't our symbols.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Sep 2010 15:58:24 -0400

qapt (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix-only release, fixing a silent error when encountering
    total-system APT locks. 
    (http://websvn.kde.org/?view=revision&revision=1180714)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Sep 2010 17:30:05 -0400

qapt (1.0.2-0ubuntu2) maverick; urgency=low

  * Re-add libqapt1.symbols, which was inadvertantly dropped last upload.
    I had forgotten to re-add it after I removed it for backporting to lucid.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 14 Sep 2010 08:41:29 -0400

qapt (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Sep 2010 17:50:50 -0400

qapt (1.0.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 26 Aug 2010 12:26:49 -0400

qapt (1.0-0ubuntu2) maverick; urgency=low

  * Remove erroneous patches that arose due to source format 3.0 and me
    leaving files around
  * Remove some mysterious symbols from the symbols file that don't look like
    they belong to libqapt and cause FTBFS on amd64

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 12 Aug 2010 11:30:33 -0400

qapt (1.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Rename libqapt0 to libqapt1 for .so versioning bump
    - Replace appropriate depends with libqapt1 in debian/control
    - Update libqapt0.symbols for the bump, renaming it to libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 11 Aug 2010 10:23:53 -0400

qapt (0.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Aug 2010 10:03:43 -0400

qapt (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Update libqapt0.symbols for a new function
  * Bump Standards-Version to 3.9.1, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 28 Jul 2010 09:12:16 -0400

qapt (0.3.0-0ubuntu2) maverick; urgency=low

  * Add a symbols file for libqapt0
  * Give libqapt-dev the section of libdevel
  * Bump Standards-Version to 3.9.0, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 23 Jul 2010 10:26:47 -0400

qapt (0.3.0-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 02 Jun 2010 14:47:35 -0500
