=== debian/control ===
Source: qapt
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
 kdelibs5-dev, libapt-pkg-dev, libxapian-dev, libpolkit-qt-1-dev
Standards-Version: 3.9.1

Package: libqapt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqapt1 (= ${binary:Version}), libapt-pkg-dev
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

Package: qapt-batch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
Description: Batch package manager for KDE
 QApt Batch is a simple GUI for doing batch package management operations.
 It can install and remove packages, as well as update the package cache via a
 command line interface. It also has an attach function invokable via the
 command line. QApt Batch is a drop-in replacement for the "install-package"
 batch package management tool.

Package: qapt-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libqapt1 (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: QApt debugging symbols
 This package contains debugging symbols for QApt.
 When QApt crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a QApt crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.
