=== po/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 add_subdirectory(pt_BR)
 add_subdirectory(ga)
 add_subdirectory(en_GB)
+add_subdirectory(nb)
 add_subdirectory(uk)
 add_subdirectory(th)
 add_subdirectory(nds)
@@ -19,14 +20,19 @@
 add_subdirectory(es)
 add_subdirectory(eo)
 add_subdirectory(ca)
+add_subdirectory(fi)
 add_subdirectory(ja)
 add_subdirectory(et)
 add_subdirectory(ru)
 add_subdirectory(pt)
+add_subdirectory(ca@valencia)
 add_subdirectory(it)
+add_subdirectory(tr)
 add_subdirectory(sl)
 add_subdirectory(sv)
 add_subdirectory(de)
 add_subdirectory(lt)
 add_subdirectory(hu)
 add_subdirectory(cs)
+add_subdirectory(mai)
+add_subdirectory(ro)
