=== debian/changelog ===
qapt (1.1.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Apr 2011 13:58:04 -0400

qapt (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream bugfix release:
    - Drop kubuntu_01_dont_close_stdout.diff, present upstream
  * Update Homepage field to the new projects.kde.org home page
  * Update the Source field in debian/copyright for the switch to the new KDE
    Git repository

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 16 Feb 2011 19:19:57 -0500

qapt (1.1.0-0ubuntu2) natty; urgency=low

  * Add kubuntu_01_dont_close_stdout.diff from upstream to fix the failure
    of postinst scripts needing stdout. (LP: #680328)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 26 Jan 2011 21:27:09 -0500

qapt (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Update libqapt1.symbols
  * Fix debian/copyright syntax
  * Update debian/copyright for new copyright holders

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 04 Jan 2011 16:40:10 -0500

qapt (1.0.95-0ubuntu1) natty; urgency=low

  * New upstream release candidate:
    - Update libqapt1.install
    - Update libqapt1.symbols
  * Port packaging to the debhelper 8 standard:
    - Bump compat to 8
    - Bump build-depend on debhelper to 8.0.0~
    - Place options after the dh sequence in debian/rules
  * Add a homepage field with the project homepage

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Dec 2010 21:26:41 -0500

qapt (1.0.90-0ubuntu1) natty; urgency=low

  * New upstream beta:
    - Update libqapt1.install
    - Update libqapt1.symbols for new symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 20 Dec 2010 12:17:39 -0500

qapt (1.0.80-0ubuntu2) natty; urgency=low

  * Rebuild for polkit-qt-1 ABI break

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 10 Dec 2010 13:16:42 -0500

qapt (1.0.80-0ubuntu1) natty; urgency=low

  * New upstream beta release:
    - Update various .install files
    - Update libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Dec 2010 12:16:50 -0500

qapt (1.0.60-0ubuntu2) natty; urgency=low

  * Somehow the libqapt1.symbols changes didn't make it in to the last upload
    Reupload to fix FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Nov 2010 08:32:06 -0400

qapt (1.0.60-0ubuntu1) natty; urgency=low

  * New upstream release: (LP: #490353, #668297, #670294)
    - Bump build-depend version on libapt-pkg-dev to 0.8.0 or higher
    - Update libqapt1.symbols
  * Bump Standards-Version to 3.9.1, no changes

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Nov 2010 22:46:18 -0400
