=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
- kdelibs5-dev, libapt-pkg-dev, libxapian-dev, libpolkit-qt-1-dev
+Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
+ kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev
 Standards-Version: 3.9.1
+Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
 
 Package: libqapt1
 Architecture: any
