=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=qapt-dbg --with kde
