## qapt 1.2.1

=== debian/changelog ===
qapt (1.2.1-0ubuntu2) oneiric; urgency=low

  * Add changes not present in the previous upload due to me not re-source-
    building after making them... Fixes FTBFS.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 19 Sep 2011 00:01:31 -0400

qapt (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release: (LP: #830786, 847748, 839411)
    - Update libqapt1.install
    - Update libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 18 Sep 2011 12:48:47 -0400

qapt (1.2.0-0ubuntu3) oneiric; urgency=low

  * Fix the qtgstreamer build-dep. The natty build-dep accidentally snuck in.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 26 Aug 2011 17:38:51 -0400

qapt (1.2.0-0ubuntu2) oneiric; urgency=low

  * Add an or dependency between polkit-kde-1 and policykit-1-gnome to ensure
    we have a policykit frontend installed. (LP: #833058)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Aug 2011 21:40:33 -0400

qapt (1.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #822623, #823087)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Aug 2011 19:08:39 -0400

qapt (1.1.90-0ubuntu2) oneiric; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:28:53 +0200

qapt (1.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 24 Jul 2011 14:40:16 -0400

qapt (1.1.85-0ubuntu2) oneiric; urgency=low

  * Fix update-alternatives usage in gstreamer0.10-qapt (LP: #807483)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 14 Jul 2011 00:21:20 -0400

qapt (1.1.85-0ubuntu1) oneiric; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 26 Jun 2011 11:30:57 -0400

qapt (1.1.80-0ubuntu2) oneiric; urgency=low

  * Build-depend on libqtgstreamer-dev instead of qtgstreamer-dev.
  * Increase priority for gstreamer-codec-install alternative to 85.
  * Enable parallel building.
  * Fix symbols file on amd64.
  * Move .mo files from qapt-batch to the respective packages.
  * Call dh_install with --fail-missing.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix lintian warning description-synopsis-starts-with-article.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 23 May 2011 19:33:00 +0200

qapt (1.1.80-0ubuntu1) oneiric; urgency=low

  * New upstream beta release:
    - Update various .install files
    - Update libqapt1.symbols
    - Add several new binary packages for new QApt utilities
    - Add a qapt-utils metapackage to install all QApt utilities
    - Add build-depend on qtgstreamer-dev for qapt-gstreamer-helper
    - Add a build-depend on libdebconf-kde-dev for qapt-deb-installer

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 16 Mar 2011 10:37:54 -0400
