=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
 Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
- kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev
-Standards-Version: 3.9.1
+ kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev,
+ libqtgstreamer-dev, libdebconf-kde-dev
+Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
 
 Package: libqapt1
@@ -33,7 +34,7 @@
 
 Package: libqapt-runtime
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
 Description: Runtime components for the QApt library
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -42,6 +43,15 @@
  .
  This package contains the runtime components necessary for applications using
  the QApt library to run.
+
+Package: qapt-utils
+Architecture: any
+Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
+ plasma-runner-installer, kde-thumbnailer-deb
+Recommends: gstreamer0.10-qapt
+Description: complete collection of QApt package management utilities
+ This is a metapackage depending on all of QApt's extra package management
+ utilities.
 
 Package: qapt-batch
 Architecture: any
@@ -52,6 +62,37 @@
  command line interface. It also has an attach function invokable via the
  command line. QApt Batch is a drop-in replacement for the "install-package"
  batch package management tool.
+
+Package: qapt-deb-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
+Description: tool for installing deb files
+ The QApt deb installer allows you to install local .deb files. The QApt Deb
+ Installer resolves and downloads dependencies. The APT package manager does
+ the same, but only for remote packages.
+
+Package: plasma-runner-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
+Description: KRunner plugin for installing packages
+ This KRunner plugin offers the option to install an application if its
+ command is typed in to KRunner and the application is not already
+ installed.
+
+Package: kde-thumbnailer-deb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Enhances: dolphin, konqueror
+Description: KDE plugin to show thumbnails of Debian package files
+ A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
+ packages (.deb files) as thumbnails.
+
+Package: gstreamer0.10-qapt
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
+Description: GStreamer plugin to install codecs using QApt
+ This package provides a plugin for the GStreamer multimedia framework
+ to search and to install audio and video codecs.
 
 Package: qapt-dbg
 Section: debug
