## qapt 1.2.2

=== debian/changelog ===
qapt (1.2.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release (Closes: #635380)

  [ Kai Wasserbäch ]
  * debian/watch: Added.
  * debian/control:
    - Added myself to Uploaders.
    - Bumped B-D on debhelper for automatic environmet variables.
    - Allow José direct uploads (DM-Upload-Allowed).
  * debian/source.lintian-overrides: Added (temp. only).
  * debian/source/{local-,}options: Added.
  * debian/copyright: Added myself.
  * debian/patches/Fix-FTBFS-due-to-symbol-collision.patch: Added.

 -- Kai Wasserbäch <curan@debian.org>  Wed, 14 Dec 2011 15:49:14 +0100
