=== debian/control ===
--- 
+++ 
@@ -1,11 +1,20 @@
 Source: qapt
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake, pkg-config,
- kdelibs5-dev, libapt-pkg-dev (>= 0.8.0), libxapian-dev, libpolkit-qt-1-dev,
- libqtgstreamer-dev, libdebconf-kde-dev
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Kai Wasserbäch <curan@debian.org>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8.9.4),
+ pkg-kde-tools (>= 0.5.0),
+ cmake (>= 2.8.4+dfsg.1-3),
+ pkg-config,
+ kdelibs5-dev,
+ libapt-pkg-dev (>= 0.8.0),
+ libxapian-dev,
+ libpolkit-qt-1-dev,
+ libqtgstreamer-dev,
+ libdebconf-kde-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
 
@@ -34,7 +43,7 @@
 
 Package: libqapt-runtime
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Runtime components for the QApt library
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
  implementation using libapt-pkg. The aim is to provide a sane API for
@@ -50,6 +59,9 @@
  plasma-runner-installer, kde-thumbnailer-deb
 Recommends: gstreamer0.10-qapt
 Description: complete collection of QApt package management utilities
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This is a metapackage depending on all of QApt's extra package management
  utilities.
 
@@ -57,6 +69,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
 Description: Batch package manager for KDE
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  QApt Batch is a simple GUI for doing batch package management operations.
  It can install and remove packages, as well as update the package cache via a
  command line interface. It also has an attach function invokable via the
@@ -67,6 +82,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
 Description: tool for installing deb files
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  The QApt deb installer allows you to install local .deb files. The QApt Deb
  Installer resolves and downloads dependencies. The APT package manager does
  the same, but only for remote packages.
@@ -75,6 +93,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
 Description: KRunner plugin for installing packages
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This KRunner plugin offers the option to install an application if its
  command is typed in to KRunner and the application is not already
  installed.
@@ -84,6 +105,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Enhances: dolphin, konqueror
 Description: KDE plugin to show thumbnails of Debian package files
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
  packages (.deb files) as thumbnails.
 
@@ -91,6 +115,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
 Description: GStreamer plugin to install codecs using QApt
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This package provides a plugin for the GStreamer multimedia framework
  to search and to install audio and video codecs.
 
@@ -101,6 +128,9 @@
 Depends: ${misc:Depends}, libqapt1 (= ${binary:Version})
 Recommends: kdelibs5-dbg
 Description: QApt debugging symbols
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
  This package contains debugging symbols for QApt.
  When QApt crashes, in most cases this package is
  needed to get a backtrace that is useful for developers. If you have
