## qapt 1.3.0

=== debian/changelog ===
qapt (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the symbols file (Xilin Sun). Closes: #746894, #746263.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 12:39:10 +0200

qapt (1.3.0-2) unstable; urgency=low

  * Team upload.
  * Backport the upstream commit 4053dc46969b56084fb72c24ae062187134cd39a
    (patch upstream_directly-include-declaration-of-MD5Summation.patch) to fix
    the build with libapt-pkg 0.9; thanks to David Kalnischkies for the patch!
    (Closes: #669098)

 -- Pino Toscano <pino@debian.org>  Fri, 11 May 2012 15:43:13 +0200

qapt (1.3.0-1) unstable; urgency=low

  [ Kai Wasserbäch ]
  * New upstream release (release to unstable (Closes: #662926)).
  * debian/gbp.conf: Added to ensure pristine-tar usage and signed tags.
  * debian/watch: use git-import-orig.
  * debian/control:
    - Added Vcs-{Git,Browser} fields.
    - Bumped Standards-Version to 3.9.3.1, no further changes needed.
    - Bumped B-D on dh to >= 9.
  * debian/rules:
    - Remove override for dh_strip, not needed.
    - Added .PHONY line.
  * debian/patches/Fix-FTBFS-due-to-symbol-collision.patch: Deleted, merged
    upstream.
  * debian/TODO: Added, mentioning multi-arch progress.
  * debian/source.lintian-overrides: Deleted, no longer needed.
  * debian/libqapt-dev.install: Added new changelog.h and its wrapper.
  * debian/libqapt1.symbols: Updated.

  [ Pino Toscano ]
  * Drop patch Fix-spelling-errors.patch, which breaks translations.

 -- Kai Wasserbäch <curan@debian.org>  Sun, 18 Mar 2012 20:19:33 +0100
