=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
  Kai Wasserbäch <curan@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.9.4),
+Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.5.0),
  cmake (>= 2.8.4+dfsg.1-3),
  pkg-config,
@@ -15,8 +15,10 @@
  libpolkit-qt-1-dev,
  libqtgstreamer-dev,
  libdebconf-kde-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3.1
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qapt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qapt.git;a=summary
 
 Package: libqapt1
 Architecture: any
