## qapt 1.3.1

=== debian/changelog ===
qapt (1.3.1-0ubuntu2) precise; urgency=low

  * Cherry-pick several patches from the 1.3 branch: (LP: #976159)
    - Add fix_misreported_marking_errors.diff to stop marking errors being
      reported as lock errors.
    - Add fix_worker_upgrade_marking.diff, which uses a more conservative
      problem resolution method to fix marking issues that occur while
      marking single packages for upgrade, as well as fixes an issue where
      the worker would not clear errors caused by marking issues that had
      been fixed manually.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Apr 2012 19:48:44 -0400

qapt (1.3.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release
  * Bump debhelper compat to 9

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 01 Apr 2012 12:24:05 -0400

qapt (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #883604, #941536)
  * Bump Standards-Version to 3.9.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 03 Mar 2012 21:45:45 -0500

qapt (1.2.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate (LP: #840306)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 29 Jan 2012 10:39:17 -0500

qapt (1.2.80-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Dec 2011 20:40:52 -0500

qapt (1.2.65-0ubuntu1) precise; urgency=low

  * New upstream alpha release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 Nov 2011 19:20:50 -0500

qapt (1.2.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Oct 2011 15:18:46 -0400
